<?php

include('pdf/fpdf.php');
session_cache_limiter('private');
session_start();
$com = "I";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php"); 
class PDF extends FPDF
{
	//Cabecera de página
	function Header()
	{
	    //Logo
	         include("DYIM_VER.php");
	    //Arial bold 14
	    $this->SetFont('Arial','B',10);
	    //Espacio
		    //Título
	    $this->Cell(190,1,'REPORTE CATALOGO DE TIPO DE PAGO',0,1,'C');
	    //Salto de línea
	    $this->Ln(2);
		 $this->SetFont('Times','',8);//establece tamaño de letra
		 $this->SetFillColor(192,192, 192);
		 $this->Cell(33,5,'',0,'C');//centra
		 $this->Cell(15,5,'Clave',1,'','C',1);
		 $this->Cell(40,5,'Descripcion',1,'','C',1);
		 $this->Cell(30,5,'Cuenta Contable',1,'','C',1);
		 $this->Cell(40,5,'Tipo de Pago',1,1,'C',1);

	}
	//Pie de página
	function Footer()
	{
	    //Posición: a 1,5 cm del final
	    $this->SetY(-15);
	    //Arial italic 8
	    $this->SetFont('Arial','I',8);
	    //Número de página
	    $this->Cell(0,10, $this->PageNo(),0,0,'C');
	}
}

if($_POST['bot']==""){
	if($_POST['bot']){
		$sql1 ="SELECT * FROM dgtippag WHERE tip_pag = '".$_POST['bot']."' order by tip_pag";
//	}elseif($_POST['tip_bus']=="nombre"){
//		$sql1 ="SELECT * FROM dgtippag WHERE desc_pag LIKE '%".$_POST['txt_bus']."%' order by tip_pag";
	}else{
		$sql1 = "SELECT * FROM dgtippag order by tip_pag";
	}
}else{
	$sql1 = "SELECT * FROM dgtippag WHERE tip_pag = '".$_POST['bot']."' order by tip_pag";
}
$sql = mysqli_query ($sql1); 
while ($reg = mysqli_fetch_row($sql)) { 
    $data[] = $reg[0]; 
	$data1[] = $reg[1]; 
	$data2[] = $reg[2]; 
	$data3[] = $reg[3];
	}
$num_elementos=count($data);
$pdf=new PDF();
$pdf->AddPage();
//Titolo de la tabla
$pdf->SetFont('Times','',8);//establece tamaño de letra

for($i=0;$i<=$num_elementos-1;$i++)
{
	//$pdf->SetFillColor(49,120, 200);
	$pdf->SetFont('Times','',8);//establece tamaño de letra
	$pdf->Cell(33,5,'',0,'C');//centra
	$pdf->Cell(15,5, $data[$i],1,'','C');
	$pdf->Cell(40,5, $data1[$i],1,'','C');
	$pdf->Cell(30,5, $data2[$i],1,'','C');
	$s="";
if($data3[$i]==0){
			$s = "(EF)ECTIVO";
		}elseif($data3[$i]==1){
			$s = "(CH)EQUE";
		}elseif($data3[$i]==2){
			$s = "(TA)RJETA";
		}elseif($data3[$i]==3){
			$s = "(TR)ANSFERENCIA";
		}elseif($data3[$i]==4){
			$s = "(DV)EVOLUCION";
		}elseif($data3[$i]==5){
			$s = "(AN)TICIPOS";
		}
	$pdf->Cell(40,5,$s,1,1,'C');
} 
$pdf->Output("Base_Tipos_de_Pago.pdf","D");
?> 
